Package commoble.morered.wire_post

# Class FakeStateLevel

java.lang.Object
commoble.morered.wire_post.FakeStateLevel

All Implemented Interfaces:
  `net.minecraft.world.level.BlockGetter`, `net.minecraft.world.level.LevelHeightAccessor`, `net.neoforged.neoforge.common.extensions.IBlockGetterExtension`

public class FakeStateLevel extends Object implements net.minecraft.world.level.BlockGetter
BlockGetter that delegates to another reader for most purposes, except that a state at a given position will appear to be a different given state

## Constructor Summary

Constructors
Constructor
Description
`FakeStateLevel(net.minecraft.world.level.BlockGetter delegate, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.level.block.entity.BlockEntity`
`getBlockEntity(net.minecraft.core.BlockPos pos)`
`net.minecraft.world.level.block.state.BlockState`
`getBlockState(net.minecraft.core.BlockPos pos)`
`net.minecraft.world.level.material.FluidState`
`getFluidState(net.minecraft.core.BlockPos pos)`
`int`
`getHeight()`
`int`
`getMinBuildHeight()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.level.BlockGetter

`clip, clipWithInteractionOverride, getBlockEntity, getBlockFloorHeight, getBlockFloorHeight, getBlockStates, getLightEmission, getMaxLightLevel, isBlockInLine`

### Methods inherited from interface net.neoforged.neoforge.common.extensions.IBlockGetterExtension

`getAuxLightManager, getAuxLightManager, getModelData`

### Methods inherited from interface net.minecraft.world.level.LevelHeightAccessor

`getMaxBuildHeight, getMaxSection, getMinSection, getSectionIndex, getSectionIndexFromSectionY, getSectionsCount, getSectionYFromSectionIndex, isOutsideBuildHeight, isOutsideBuildHeight`

## Constructor Details

### FakeStateLevel

public FakeStateLevel(net.minecraft.world.level.BlockGetter delegate, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

## Method Details

### getBlockEntity

public net.minecraft.world.level.block.entity.BlockEntity getBlockEntity(net.minecraft.core.BlockPos pos)

Specified by:
  `getBlockEntity` in interface `net.minecraft.world.level.BlockGetter`

### getBlockState

public net.minecraft.world.level.block.state.BlockState getBlockState(net.minecraft.core.BlockPos pos)

Specified by:
  `getBlockState` in interface `net.minecraft.world.level.BlockGetter`

### getFluidState

public net.minecraft.world.level.material.FluidState getFluidState(net.minecraft.core.BlockPos pos)

Specified by:
  `getFluidState` in interface `net.minecraft.world.level.BlockGetter`

### getHeight

public int getHeight()

Specified by:
  `getHeight` in interface `net.minecraft.world.level.LevelHeightAccessor`

### getMinBuildHeight

public int getMinBuildHeight()

Specified by:
  `getMinBuildHeight` in interface `net.minecraft.world.level.LevelHeightAccessor`